// vim: set tw=80 ts=2 sw=2 sts=2 :

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';

import { NgLoggerModule, Level } from '@nsalaun/ng-logger';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { ToastrModule } from 'ngx-toastr';
import { TextMaskModule } from 'angular2-text-mask';

import { ScheduleService } from './schedule.service';
import { ScheduleDeleteModalComponent } from './scheduleDeleteModal.component';
import { ScheduleEditModalComponent } from './scheduleEditModal.component';
import { ScheduleFormComponent } from './scheduleForm.component';
import { ScheduleRowComponent } from './scheduleRow.component';
import { ScheduleListComponent } from './scheduleList.component';

export function accountIdServiceFactory(i: any) {
  return i.get('accountIdService');
}

@NgModule({
  imports: [
    HttpClientModule,
    CommonModule,
    FormsModule,
    NgLoggerModule,
    ToastrModule,
    NgbModule,
    TextMaskModule
  ],
  providers: [
    ScheduleService,
    {
      provide: 'accountIdService',
      deps: ['$injector'],
      useFactory: accountIdServiceFactory
    }
  ],
  declarations: [
    ScheduleDeleteModalComponent,
    ScheduleEditModalComponent,
    ScheduleFormComponent,
    ScheduleListComponent,
    ScheduleRowComponent
  ],
  entryComponents: [
    ScheduleDeleteModalComponent,
    ScheduleEditModalComponent,
    ScheduleFormComponent,
    ScheduleListComponent,
    ScheduleRowComponent
  ]
})
export class ScheduleModule {}
